<template>
    <div>
        <form @submit.prevent="createBlog">
            <h3>نام نویسنده؟</h3>
            <div class="field">
                <v-text-field
                    :label="$t('newPost.name')"
                    v-model="blog.title"
                    type="text"
                />
            </div>
            <h3>موضوع پست ؟ </h3>
            <div class="field">
                <v-text-field
                    :label="$t('newPost.title')"
                    v-model="blog.description"
                    type="text"
                />
            </div>
            <h3>متن پست ؟</h3>
            <div class="field">
                <v-text-field
                    :label="$t('newPost.description')"
                    v-model="blog.location"
                    type="text"
                />
            </div>
            <h3>زمان خواندن پست ؟</h3>
            <div class="field">
                <v-select :label=" $t('newPost.time')" dir="auto" :items="times" type="text" v-model.trim="seatsNum"/>
            </div>
            <div>
                <v-btn type="submit" color="#4c4c4c" class="w-100 buy-btn" value="Submit" >{{ $t('newPost.requestBtn') }}</v-btn>
            </div>
        </form>
    </div>
</template>

<script>
import { mapState } from 'vuex'
import { mapGetters } from 'vuex'


export default {
    components: {
    },
    data() {
        const times = []
        for (let i = 1; i <= 24; i++) {
            times.push(i + ':00')
        }
        return {
            seatsNum: [],
            blog: this.createFreshBlog(),
            times,
            categories: this.$store.state.categories
        }
    },
    methods: {
        createBlog() {
            this.$store
                .dispatch('settings/createBlog', this.blog).then(() =>{
                this.blog = this.createFreshBlog()
            }).catch(() => {
                console.log('there was a problem')
            })

        },
        createFreshBlog() {

            const id = Math.floor(Math.random() * 10000000)
            return {
                id: id,
                category: '',
                title: '',
                description: '',
                location: '',
            }
        }
    },
    computed: {
        // ...mapGetters('blog', ['getBlogByID']),
        getBlog() {

            return this.$store.getters['event/getBlogByID']
        }
    }
}
</script>

<style lang="scss" scoped>
.field {
    margin-bottom: 24px;
}
</style>
